[LIBXSLT] Better highlight some ROS diffs. CORE-14291
authorThomas Faber <thomas.faber@reactos.org>
Sun, 4 Feb 2018 14:51:19 +0000 (15:51 +0100)
committerThomas Faber <thomas.faber@reactos.org>
Mon, 5 Feb 2018 13:37:27 +0000 (14:37 +0100)
dll/3rdparty/libxslt/CMakeLists.txt
dll/3rdparty/libxslt/Copyright [moved from dll/3rdparty/libxslt/COPYING with 100% similarity]
dll/3rdparty/libxslt/Makefile.in [deleted file]
dll/3rdparty/libxslt/NEWS
dll/3rdparty/libxslt/win32config.h
sdk/include/reactos/libs/libxslt/libxslt.h
sdk/include/reactos/libs/libxslt/xsltlocale.h

index 07d927d..e708913 100644 (file)
@@ -10,7 +10,6 @@ add_definitions(
     -DHAVE_STAT
     -DHAVE_WIN32_THREADS
     -D_REENTRANT
-    -D_WINSOCKAPI_
     -DLIBXML_STATIC)
 
 list(APPEND SOURCE
diff --git a/dll/3rdparty/libxslt/Makefile.in b/dll/3rdparty/libxslt/Makefile.in
deleted file mode 100644 (file)
index bca66a3..0000000
+++ /dev/null
@@ -1,900 +0,0 @@
-# Makefile.in generated by automake 1.15 from Makefile.am.
-# @configure_input@
-
-# Copyright (C) 1994-2014 Free Software Foundation, Inc.
-
-# This Makefile.in is free software; the Free Software Foundation
-# gives unlimited permission to copy and/or distribute it,
-# with or without modifications, as long as this notice is preserved.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
-# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
-# PARTICULAR PURPOSE.
-
-@SET_MAKE@
-
-
-VPATH = @srcdir@
-am__is_gnu_make = { \
-  if test -z '$(MAKELEVEL)'; then \
-    false; \
-  elif test -n '$(MAKE_HOST)'; then \
-    true; \
-  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
-    true; \
-  else \
-    false; \
-  fi; \
-}
-am__make_running_with_option = \
-  case $${target_option-} in \
-      ?) ;; \
-      *) echo "am__make_running_with_option: internal error: invalid" \
-              "target option '$${target_option-}' specified" >&2; \
-         exit 1;; \
-  esac; \
-  has_opt=no; \
-  sane_makeflags=$$MAKEFLAGS; \
-  if $(am__is_gnu_make); then \
-    sane_makeflags=$$MFLAGS; \
-  else \
-    case $$MAKEFLAGS in \
-      *\\[\ \  ]*) \
-        bs=\\; \
-        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
-          | sed "s/$$bs$$bs[$$bs $$bs  ]*//g"`;; \
-    esac; \
-  fi; \
-  skip_next=no; \
-  strip_trailopt () \
-  { \
-    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
-  }; \
-  for flg in $$sane_makeflags; do \
-    test $$skip_next = yes && { skip_next=no; continue; }; \
-    case $$flg in \
-      *=*|--*) continue;; \
-        -*I) strip_trailopt 'I'; skip_next=yes;; \
-      -*I?*) strip_trailopt 'I';; \
-        -*O) strip_trailopt 'O'; skip_next=yes;; \
-      -*O?*) strip_trailopt 'O';; \
-        -*l) strip_trailopt 'l'; skip_next=yes;; \
-      -*l?*) strip_trailopt 'l';; \
-      -[dEDm]) skip_next=yes;; \
-      -[JT]) skip_next=yes;; \
-    esac; \
-    case $$flg in \
-      *$$target_option*) has_opt=yes; break;; \
-    esac; \
-  done; \
-  test $$has_opt = yes
-am__make_dryrun = (target_option=n; $(am__make_running_with_option))
-am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
-pkgdatadir = $(datadir)/@PACKAGE@
-pkgincludedir = $(includedir)/@PACKAGE@
-pkglibdir = $(libdir)/@PACKAGE@
-pkglibexecdir = $(libexecdir)/@PACKAGE@
-am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-install_sh_DATA = $(install_sh) -c -m 644
-install_sh_PROGRAM = $(install_sh) -c
-install_sh_SCRIPT = $(install_sh) -c
-INSTALL_HEADER = $(INSTALL_DATA)
-transform = $(program_transform_name)
-NORMAL_INSTALL = :
-PRE_INSTALL = :
-POST_INSTALL = :
-NORMAL_UNINSTALL = :
-PRE_UNINSTALL = :
-POST_UNINSTALL = :
-build_triplet = @build@
-host_triplet = @host@
-subdir = libxslt
-ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/configure.in
-am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
-       $(ACLOCAL_M4)
-DIST_COMMON = $(srcdir)/Makefile.am $(xsltinc_HEADERS) \
-       $(am__DIST_COMMON)
-mkinstalldirs = $(install_sh) -d
-CONFIG_HEADER = $(top_builddir)/config.h
-CONFIG_CLEAN_FILES = xsltconfig.h xsltwin32config.h
-CONFIG_CLEAN_VPATH_FILES =
-am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
-am__vpath_adj = case $$p in \
-    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
-    *) f=$$p;; \
-  esac;
-am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
-am__install_max = 40
-am__nobase_strip_setup = \
-  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
-am__nobase_strip = \
-  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
-am__nobase_list = $(am__nobase_strip_setup); \
-  for p in $$list; do echo "$$p $$p"; done | \
-  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
-  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
-    if (++n[$$2] == $(am__install_max)) \
-      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
-    END { for (dir in files) print dir, files[dir] }'
-am__base_list = \
-  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
-  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
-am__uninstall_files_from_dir = { \
-  test -z "$$files" \
-    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
-    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
-         $(am__cd) "$$dir" && rm -f $$files; }; \
-  }
-am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(man3dir)" \
-       "$(DESTDIR)$(xsltincdir)" "$(DESTDIR)$(xsltincdir)"
-LTLIBRARIES = $(lib_LTLIBRARIES)
-am__DEPENDENCIES_1 =
-libxslt_la_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
-am_libxslt_la_OBJECTS = attrvt.lo xslt.lo xsltlocale.lo xsltutils.lo \
-       pattern.lo templates.lo variables.lo keys.lo numbers.lo \
-       extensions.lo extra.lo functions.lo namespaces.lo imports.lo \
-       attributes.lo documents.lo preproc.lo transform.lo security.lo
-nodist_libxslt_la_OBJECTS =
-libxslt_la_OBJECTS = $(am_libxslt_la_OBJECTS) \
-       $(nodist_libxslt_la_OBJECTS)
-AM_V_lt = $(am__v_lt_@AM_V@)
-am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
-am__v_lt_0 = --silent
-am__v_lt_1 = 
-libxslt_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
-       $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
-       $(libxslt_la_LDFLAGS) $(LDFLAGS) -o $@
-AM_V_P = $(am__v_P_@AM_V@)
-am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
-am__v_P_0 = false
-am__v_P_1 = :
-AM_V_GEN = $(am__v_GEN_@AM_V@)
-am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
-am__v_GEN_0 = @echo "  GEN     " $@;
-am__v_GEN_1 = 
-AM_V_at = $(am__v_at_@AM_V@)
-am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
-am__v_at_0 = @
-am__v_at_1 = 
-DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
-depcomp = $(SHELL) $(top_srcdir)/depcomp
-am__depfiles_maybe = depfiles
-am__mv = mv -f
-COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
-       $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
-LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
-       $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
-       $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
-       $(AM_CFLAGS) $(CFLAGS)
-AM_V_CC = $(am__v_CC_@AM_V@)
-am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
-am__v_CC_0 = @echo "  CC      " $@;
-am__v_CC_1 = 
-CCLD = $(CC)
-LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
-       $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
-       $(AM_LDFLAGS) $(LDFLAGS) -o $@
-AM_V_CCLD = $(am__v_CCLD_@AM_V@)
-am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
-am__v_CCLD_0 = @echo "  CCLD    " $@;
-am__v_CCLD_1 = 
-SOURCES = $(libxslt_la_SOURCES) $(nodist_libxslt_la_SOURCES)
-DIST_SOURCES = $(libxslt_la_SOURCES)
-am__can_run_installinfo = \
-  case $$AM_UPDATE_INFO_DIR in \
-    n|no|NO) false;; \
-    *) (install-info --version) >/dev/null 2>&1;; \
-  esac
-man3dir = $(mandir)/man3
-NROFF = nroff
-MANS = $(man_MANS)
-HEADERS = $(nodist_xsltinc_HEADERS) $(xsltinc_HEADERS)
-am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
-# Read a list of newline-separated strings from the standard input,
-# and print each of them once, without duplicates.  Input order is
-# *not* preserved.
-am__uniquify_input = $(AWK) '\
-  BEGIN { nonempty = 0; } \
-  { items[$$0] = 1; nonempty = 1; } \
-  END { if (nonempty) { for (i in items) print i; }; } \
-'
-# Make sure the list of sources is unique.  This is necessary because,
-# e.g., the same source file might be shared among _SOURCES variables
-# for different programs/libraries.
-am__define_uniq_tagged_files = \
-  list='$(am__tagged_files)'; \
-  unique=`for i in $$list; do \
-    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
-  done | $(am__uniquify_input)`
-ETAGS = etags
-CTAGS = ctags
-am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/xsltconfig.h.in \
-       $(srcdir)/xsltwin32config.h.in $(top_srcdir)/depcomp
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = @ACLOCAL@
-AMTAR = @AMTAR@
-AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
-AR = @AR@
-AS = @AS@
-AUTOCONF = @AUTOCONF@
-AUTOHEADER = @AUTOHEADER@
-AUTOMAKE = @AUTOMAKE@
-AWK = @AWK@
-CC = @CC@
-CCDEPMODE = @CCDEPMODE@
-CFLAGS = @CFLAGS@
-CPP = @CPP@
-CPPFLAGS = @CPPFLAGS@
-CRYPTO_TESTDIR = @CRYPTO_TESTDIR@
-CYGPATH_W = @CYGPATH_W@
-DEFS = @DEFS@
-DEPDIR = @DEPDIR@
-DLLTOOL = @DLLTOOL@
-DSYMUTIL = @DSYMUTIL@
-DUMPBIN = @DUMPBIN@
-ECHO_C = @ECHO_C@
-ECHO_N = @ECHO_N@
-ECHO_T = @ECHO_T@
-EGREP = @EGREP@
-EXEEXT = @EXEEXT@
-EXSLT_INCLUDEDIR = @EXSLT_INCLUDEDIR@
-EXSLT_LIBDIR = @EXSLT_LIBDIR@
-EXSLT_LIBS = @EXSLT_LIBS@
-EXTRA_LIBS = @EXTRA_LIBS@
-FGREP = @FGREP@
-GREP = @GREP@
-HTML_DIR = @HTML_DIR@
-INSTALL = @INSTALL@
-INSTALL_DATA = @INSTALL_DATA@
-INSTALL_PROGRAM = @INSTALL_PROGRAM@
-INSTALL_SCRIPT = @INSTALL_SCRIPT@
-INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
-LD = @LD@
-LDFLAGS = @LDFLAGS@
-LIBEXSLT_MAJOR_VERSION = @LIBEXSLT_MAJOR_VERSION@
-LIBEXSLT_MICRO_VERSION = @LIBEXSLT_MICRO_VERSION@
-LIBEXSLT_MINOR_VERSION = @LIBEXSLT_MINOR_VERSION@
-LIBEXSLT_VERSION = @LIBEXSLT_VERSION@
-LIBEXSLT_VERSION_EXTRA = @LIBEXSLT_VERSION_EXTRA@
-LIBEXSLT_VERSION_INFO = @LIBEXSLT_VERSION_INFO@
-LIBEXSLT_VERSION_NUMBER = @LIBEXSLT_VERSION_NUMBER@
-LIBGCRYPT_CFLAGS = @LIBGCRYPT_CFLAGS@
-LIBGCRYPT_CONFIG = @LIBGCRYPT_CONFIG@
-LIBGCRYPT_LIBS = @LIBGCRYPT_LIBS@
-LIBOBJS = @LIBOBJS@
-LIBS = @LIBS@
-LIBTOOL = @LIBTOOL@
-LIBXML_CFLAGS = @LIBXML_CFLAGS@
-LIBXML_LIBS = @LIBXML_LIBS@
-LIBXML_REQUIRED_VERSION = @LIBXML_REQUIRED_VERSION@
-LIBXML_SRC = @LIBXML_SRC@
-LIBXSLT_DEFAULT_PLUGINS_PATH = @LIBXSLT_DEFAULT_PLUGINS_PATH@
-LIBXSLT_MAJOR_MINOR_VERSION = @LIBXSLT_MAJOR_MINOR_VERSION@
-LIBXSLT_MAJOR_VERSION = @LIBXSLT_MAJOR_VERSION@
-LIBXSLT_MICRO_VERSION = @LIBXSLT_MICRO_VERSION@
-LIBXSLT_MINOR_VERSION = @LIBXSLT_MINOR_VERSION@
-LIBXSLT_VERSION = @LIBXSLT_VERSION@
-LIBXSLT_VERSION_EXTRA = @LIBXSLT_VERSION_EXTRA@
-LIBXSLT_VERSION_INFO = @LIBXSLT_VERSION_INFO@
-LIBXSLT_VERSION_NUMBER = @LIBXSLT_VERSION_NUMBER@
-LIPO = @LIPO@
-LN_S = @LN_S@
-LTLIBOBJS = @LTLIBOBJS@
-LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
-MAKEINFO = @MAKEINFO@
-MANIFEST_TOOL = @MANIFEST_TOOL@
-MKDIR_P = @MKDIR_P@
-MV = @MV@
-M_LIBS = @M_LIBS@
-NM = @NM@
-NMEDIT = @NMEDIT@
-OBJDUMP = @OBJDUMP@
-OBJEXT = @OBJEXT@
-OTOOL = @OTOOL@
-OTOOL64 = @OTOOL64@
-PACKAGE = @PACKAGE@
-PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-PACKAGE_NAME = @PACKAGE_NAME@
-PACKAGE_STRING = @PACKAGE_STRING@
-PACKAGE_TARNAME = @PACKAGE_TARNAME@
-PACKAGE_URL = @PACKAGE_URL@
-PACKAGE_VERSION = @PACKAGE_VERSION@
-PATH_SEPARATOR = @PATH_SEPARATOR@
-PERL = @PERL@
-PYTHON = @PYTHON@
-PYTHONSODV = @PYTHONSODV@
-PYTHON_INCLUDES = @PYTHON_INCLUDES@
-PYTHON_LIBS = @PYTHON_LIBS@
-PYTHON_SITE_PACKAGES = @PYTHON_SITE_PACKAGES@
-PYTHON_SUBDIR = @PYTHON_SUBDIR@
-PYTHON_VERSION = @PYTHON_VERSION@
-RANLIB = @RANLIB@
-RELDATE = @RELDATE@
-RM = @RM@
-SED = @SED@
-SET_MAKE = @SET_MAKE@
-SHELL = @SHELL@
-STRIP = @STRIP@
-TAR = @TAR@
-THREAD_LIBS = @THREAD_LIBS@
-VERSION = @VERSION@
-VERSION_SCRIPT_FLAGS = @VERSION_SCRIPT_FLAGS@
-WIN32_EXTRA_LDFLAGS = @WIN32_EXTRA_LDFLAGS@
-WIN32_EXTRA_LIBADD = @WIN32_EXTRA_LIBADD@
-WITH_CRYPTO = @WITH_CRYPTO@
-WITH_DEBUGGER = @WITH_DEBUGGER@
-WITH_MEM_DEBUG = @WITH_MEM_DEBUG@
-WITH_MODULES = @WITH_MODULES@
-WITH_TRIO = @WITH_TRIO@
-WITH_XSLT_DEBUG = @WITH_XSLT_DEBUG@
-XMLLINT = @XMLLINT@
-XML_CONFIG = @XML_CONFIG@
-XSLTPROC = @XSLTPROC@
-XSLTPROCDV = @XSLTPROCDV@
-XSLT_INCLUDEDIR = @XSLT_INCLUDEDIR@
-XSLT_LIBDIR = @XSLT_LIBDIR@
-XSLT_LIBS = @XSLT_LIBS@
-XSLT_LOCALE_WINAPI = @XSLT_LOCALE_WINAPI@
-XSLT_LOCALE_XLOCALE = @XSLT_LOCALE_XLOCALE@
-abs_builddir = @abs_builddir@
-abs_srcdir = @abs_srcdir@
-abs_top_builddir = @abs_top_builddir@
-abs_top_srcdir = @abs_top_srcdir@
-ac_ct_AR = @ac_ct_AR@
-ac_ct_CC = @ac_ct_CC@
-ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
-am__include = @am__include@
-am__leading_dot = @am__leading_dot@
-am__quote = @am__quote@
-am__tar = @am__tar@
-am__untar = @am__untar@
-bindir = @bindir@
-build = @build@
-build_alias = @build_alias@
-build_cpu = @build_cpu@
-build_os = @build_os@
-build_vendor = @build_vendor@
-builddir = @builddir@
-datadir = @datadir@
-datarootdir = @datarootdir@
-docdir = @docdir@
-dvidir = @dvidir@
-exec_prefix = @exec_prefix@
-host = @host@
-host_alias = @host_alias@
-host_cpu = @host_cpu@
-host_os = @host_os@
-host_vendor = @host_vendor@
-htmldir = @htmldir@
-includedir = @includedir@
-infodir = @infodir@
-install_sh = @install_sh@
-libdir = @libdir@
-libexecdir = @libexecdir@
-localedir = @localedir@
-localstatedir = @localstatedir@
-mandir = @mandir@
-mkdir_p = @mkdir_p@
-oldincludedir = @oldincludedir@
-pdfdir = @pdfdir@
-prefix = @prefix@
-program_transform_name = @program_transform_name@
-psdir = @psdir@
-pythondir = @pythondir@
-sbindir = @sbindir@
-sharedstatedir = @sharedstatedir@
-srcdir = @srcdir@
-sysconfdir = @sysconfdir@
-target_alias = @target_alias@
-top_build_prefix = @top_build_prefix@
-top_builddir = @top_builddir@
-top_srcdir = @top_srcdir@
-AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/libxslt
-AM_CFLAGS = $(LIBXML_CFLAGS)
-lib_LTLIBRARIES = libxslt.la
-xsltincdir = $(includedir)/libxslt
-xsltinc_HEADERS = \
-       xslt.h                          \
-       xsltutils.h                     \
-       pattern.h                       \
-       templates.h                     \
-       variables.h                     \
-       keys.h                          \
-       numbersInternals.h              \
-       extensions.h                    \
-       extra.h                         \
-       functions.h                     \
-       namespaces.h                    \
-       imports.h                       \
-       attributes.h                    \
-       documents.h                     \
-       preproc.h                       \
-       transform.h                     \
-       security.h                      \
-       xsltInternals.h                 \
-       xsltexports.h                   \
-       xsltlocale.h
-
-nodist_xsltinc_HEADERS = \
-       xsltconfig.h
-
-libxslt_la_SOURCES = \
-       attrvt.c                        \
-       xslt.c                          \
-       xsltlocale.c                    \
-       xsltutils.c                     \
-       pattern.c                       \
-       templates.c                     \
-       variables.c                     \
-       keys.c                          \
-       numbers.c                       \
-       extensions.c                    \
-       extra.c                         \
-       functions.c                     \
-       namespaces.c                    \
-       imports.c                       \
-       attributes.c                    \
-       documents.c                     \
-       preproc.c                       \
-       transform.c                     \
-       security.c                      \
-       win32config.h                   \
-       xsltwin32config.h.in            \
-       libxslt.h
-
-nodist_libxslt_la_SOURCES = \
-       xsltwin32config.h
-
-@USE_VERSION_SCRIPT_FALSE@LIBXSLT_VERSION_SCRIPT = 
-@USE_VERSION_SCRIPT_TRUE@LIBXSLT_VERSION_SCRIPT = $(VERSION_SCRIPT_FLAGS)$(srcdir)/libxslt.syms
-libxslt_la_LIBADD = $(LIBXML_LIBS) $(EXTRA_LIBS)
-libxslt_la_LDFLAGS = \
-               $(WIN32_EXTRA_LDFLAGS)                  \
-               $(LIBXSLT_VERSION_SCRIPT)               \
-               -version-info $(LIBXSLT_VERSION_INFO)
-
-man_MANS = libxslt.3
-EXTRA_DIST = $(man_MANS) trio.h triodef.h libxslt.syms
-all: all-am
-
-.SUFFIXES:
-.SUFFIXES: .c .lo .o .obj
-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
-       @for dep in $?; do \
-         case '$(am__configure_deps)' in \
-           *$$dep*) \
-             ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
-               && { if test -f $@; then exit 0; else break; fi; }; \
-             exit 1;; \
-         esac; \
-       done; \
-       echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu libxslt/Makefile'; \
-       $(am__cd) $(top_srcdir) && \
-         $(AUTOMAKE) --gnu libxslt/Makefile
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-       @case '$?' in \
-         *config.status*) \
-           cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
-         *) \
-           echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
-           cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
-       esac;
-
-$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
-       cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-
-$(top_srcdir)/configure:  $(am__configure_deps)
-       cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
-       cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(am__aclocal_m4_deps):
-xsltconfig.h: $(top_builddir)/config.status $(srcdir)/xsltconfig.h.in
-       cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
-xsltwin32config.h: $(top_builddir)/config.status $(srcdir)/xsltwin32config.h.in
-       cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
-
-install-libLTLIBRARIES: $(lib_LTLIBRARIES)
-       @$(NORMAL_INSTALL)
-       @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
-       list2=; for p in $$list; do \
-         if test -f $$p; then \
-           list2="$$list2 $$p"; \
-         else :; fi; \
-       done; \
-       test -z "$$list2" || { \
-         echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
-         $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
-         echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
-         $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
-       }
-
-uninstall-libLTLIBRARIES:
-       @$(NORMAL_UNINSTALL)
-       @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
-       for p in $$list; do \
-         $(am__strip_dir) \
-         echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
-         $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
-       done
-
-clean-libLTLIBRARIES:
-       -test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
-       @list='$(lib_LTLIBRARIES)'; \
-       locs=`for p in $$list; do echo $$p; done | \
-             sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
-             sort -u`; \
-       test -z "$$locs" || { \
-         echo rm -f $${locs}; \
-         rm -f $${locs}; \
-       }
-
-libxslt.la: $(libxslt_la_OBJECTS) $(libxslt_la_DEPENDENCIES) $(EXTRA_libxslt_la_DEPENDENCIES) 
-       $(AM_V_CCLD)$(libxslt_la_LINK) -rpath $(libdir) $(libxslt_la_OBJECTS) $(libxslt_la_LIBADD) $(LIBS)
-
-mostlyclean-compile:
-       -rm -f *.$(OBJEXT)
-
-distclean-compile:
-       -rm -f *.tab.c
-
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/attributes.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/attrvt.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/documents.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/extensions.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/extra.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/functions.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/imports.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/keys.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/namespaces.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/numbers.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pattern.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/preproc.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/security.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/templates.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/transform.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/variables.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xslt.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xsltlocale.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xsltutils.Plo@am__quote@
-
-.c.o:
-@am__fastdepCC_TRUE@   $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCC_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
-
-.c.obj:
-@am__fastdepCC_TRUE@   $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCC_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
-
-.c.lo:
-@am__fastdepCC_TRUE@   $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCC_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@      DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@  $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
-
-mostlyclean-libtool:
-       -rm -f *.lo
-
-clean-libtool:
-       -rm -rf .libs _libs
-install-man3: $(man_MANS)
-       @$(NORMAL_INSTALL)
-       @list1=''; \
-       list2='$(man_MANS)'; \
-       test -n "$(man3dir)" \
-         && test -n "`echo $$list1$$list2`" \
-         || exit 0; \
-       echo " $(MKDIR_P) '$(DESTDIR)$(man3dir)'"; \
-       $(MKDIR_P) "$(DESTDIR)$(man3dir)" || exit 1; \
-       { for i in $$list1; do echo "$$i"; done;  \
-       if test -n "$$list2"; then \
-         for i in $$list2; do echo "$$i"; done \
-           | sed -n '/\.3[a-z]*$$/p'; \
-       fi; \
-       } | while read p; do \
-         if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
-         echo "$$d$$p"; echo "$$p"; \
-       done | \
-       sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
-             -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
-       sed 'N;N;s,\n, ,g' | { \
-       list=; while read file base inst; do \
-         if test "$$base" = "$$inst"; then list="$$list $$file"; else \
-           echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man3dir)/$$inst'"; \
-           $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man3dir)/$$inst" || exit $$?; \
-         fi; \
-       done; \
-       for i in $$list; do echo "$$i"; done | $(am__base_list) | \
-       while read files; do \
-         test -z "$$files" || { \
-           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man3dir)'"; \
-           $(INSTALL_DATA) $$files "$(DESTDIR)$(man3dir)" || exit $$?; }; \
-       done; }
-
-uninstall-man3:
-       @$(NORMAL_UNINSTALL)
-       @list=''; test -n "$(man3dir)" || exit 0; \
-       files=`{ for i in $$list; do echo "$$i"; done; \
-       l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
-         sed -n '/\.3[a-z]*$$/p'; \
-       } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
-             -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
-       dir='$(DESTDIR)$(man3dir)'; $(am__uninstall_files_from_dir)
-install-nodist_xsltincHEADERS: $(nodist_xsltinc_HEADERS)
-       @$(NORMAL_INSTALL)
-       @list='$(nodist_xsltinc_HEADERS)'; test -n "$(xsltincdir)" || list=; \
-       if test -n "$$list"; then \
-         echo " $(MKDIR_P) '$(DESTDIR)$(xsltincdir)'"; \
-         $(MKDIR_P) "$(DESTDIR)$(xsltincdir)" || exit 1; \
-       fi; \
-       for p in $$list; do \
-         if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-         echo "$$d$$p"; \
-       done | $(am__base_list) | \
-       while read files; do \
-         echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(xsltincdir)'"; \
-         $(INSTALL_HEADER) $$files "$(DESTDIR)$(xsltincdir)" || exit $$?; \
-       done
-
-uninstall-nodist_xsltincHEADERS:
-       @$(NORMAL_UNINSTALL)
-       @list='$(nodist_xsltinc_HEADERS)'; test -n "$(xsltincdir)" || list=; \
-       files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
-       dir='$(DESTDIR)$(xsltincdir)'; $(am__uninstall_files_from_dir)
-install-xsltincHEADERS: $(xsltinc_HEADERS)
-       @$(NORMAL_INSTALL)
-       @list='$(xsltinc_HEADERS)'; test -n "$(xsltincdir)" || list=; \
-       if test -n "$$list"; then \
-         echo " $(MKDIR_P) '$(DESTDIR)$(xsltincdir)'"; \
-         $(MKDIR_P) "$(DESTDIR)$(xsltincdir)" || exit 1; \
-       fi; \
-       for p in $$list; do \
-         if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-         echo "$$d$$p"; \
-       done | $(am__base_list) | \
-       while read files; do \
-         echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(xsltincdir)'"; \
-         $(INSTALL_HEADER) $$files "$(DESTDIR)$(xsltincdir)" || exit $$?; \
-       done
-
-uninstall-xsltincHEADERS:
-       @$(NORMAL_UNINSTALL)
-       @list='$(xsltinc_HEADERS)'; test -n "$(xsltincdir)" || list=; \
-       files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
-       dir='$(DESTDIR)$(xsltincdir)'; $(am__uninstall_files_from_dir)
-
-ID: $(am__tagged_files)
-       $(am__define_uniq_tagged_files); mkid -fID $$unique
-tags: tags-am
-TAGS: tags
-
-tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
-       set x; \
-       here=`pwd`; \
-       $(am__define_uniq_tagged_files); \
-       shift; \
-       if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
-         test -n "$$unique" || unique=$$empty_fix; \
-         if test $$# -gt 0; then \
-           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-             "$$@" $$unique; \
-         else \
-           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-             $$unique; \
-         fi; \
-       fi
-ctags: ctags-am
-
-CTAGS: ctags
-ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
-       $(am__define_uniq_tagged_files); \
-       test -z "$(CTAGS_ARGS)$$unique" \
-         || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
-            $$unique
-
-GTAGS:
-       here=`$(am__cd) $(top_builddir) && pwd` \
-         && $(am__cd) $(top_srcdir) \
-         && gtags -i $(GTAGS_ARGS) "$$here"
-cscopelist: cscopelist-am
-
-cscopelist-am: $(am__tagged_files)
-       list='$(am__tagged_files)'; \
-       case "$(srcdir)" in \
-         [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
-         *) sdir=$(subdir)/$(srcdir) ;; \
-       esac; \
-       for i in $$list; do \
-         if test -f "$$i"; then \
-           echo "$(subdir)/$$i"; \
-         else \
-           echo "$$sdir/$$i"; \
-         fi; \
-       done >> $(top_builddir)/cscope.files
-
-distclean-tags:
-       -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-       @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-       topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-       list='$(DISTFILES)'; \
-         dist_files=`for file in $$list; do echo $$file; done | \
-         sed -e "s|^$$srcdirstrip/||;t" \
-             -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-       case $$dist_files in \
-         */*) $(MKDIR_P) `echo "$$dist_files" | \
-                          sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-                          sort -u` ;; \
-       esac; \
-       for file in $$dist_files; do \
-         if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-         if test -d $$d/$$file; then \
-           dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-           if test -d "$(distdir)/$$file"; then \
-             find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-           fi; \
-           if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-             cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-             find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-           fi; \
-           cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-         else \
-           test -f "$(distdir)/$$file" \
-           || cp -p $$d/$$file "$(distdir)/$$file" \
-           || exit 1; \
-         fi; \
-       done
-check-am: all-am
-check: check-am
-all-am: Makefile $(LTLIBRARIES) $(MANS) $(HEADERS)
-installdirs:
-       for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(xsltincdir)" "$(DESTDIR)$(xsltincdir)"; do \
-         test -z "$$dir" || $(MKDIR_P) "$$dir"; \
-       done
-install: install-am
-install-exec: install-exec-am
-install-data: install-data-am
-uninstall: uninstall-am
-
-install-am: all-am
-       @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
-
-installcheck: installcheck-am
-install-strip:
-       if test -z '$(STRIP)'; then \
-         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
-           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
-             install; \
-       else \
-         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
-           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
-           "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
-       fi
-mostlyclean-generic:
-
-clean-generic:
-
-distclean-generic:
-       -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
-       -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
-
-maintainer-clean-generic:
-       @echo "This command is intended for maintainers to use"
-       @echo "it deletes files that may require special tools to rebuild."
-clean: clean-am
-
-clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
-       mostlyclean-am
-
-distclean: distclean-am
-       -rm -rf ./$(DEPDIR)
-       -rm -f Makefile
-distclean-am: clean-am distclean-compile distclean-generic \
-       distclean-tags
-
-dvi: dvi-am
-
-dvi-am:
-
-html: html-am
-
-html-am:
-
-info: info-am
-
-info-am:
-
-install-data-am: install-man install-nodist_xsltincHEADERS \
-       install-xsltincHEADERS
-
-install-dvi: install-dvi-am
-
-install-dvi-am:
-
-install-exec-am: install-libLTLIBRARIES
-       @$(NORMAL_INSTALL)
-       $(MAKE) $(AM_MAKEFLAGS) install-exec-hook
-install-html: install-html-am
-
-install-html-am:
-
-install-info: install-info-am
-
-install-info-am:
-
-install-man: install-man3
-
-install-pdf: install-pdf-am
-
-install-pdf-am:
-
-install-ps: install-ps-am
-
-install-ps-am:
-
-installcheck-am:
-
-maintainer-clean: maintainer-clean-am
-       -rm -rf ./$(DEPDIR)
-       -rm -f Makefile
-maintainer-clean-am: distclean-am maintainer-clean-generic
-
-mostlyclean: mostlyclean-am
-
-mostlyclean-am: mostlyclean-compile mostlyclean-generic \
-       mostlyclean-libtool
-
-pdf: pdf-am
-
-pdf-am:
-
-ps: ps-am
-
-ps-am:
-
-uninstall-am: uninstall-libLTLIBRARIES uninstall-man \
-       uninstall-nodist_xsltincHEADERS uninstall-xsltincHEADERS
-
-uninstall-man: uninstall-man3
-
-.MAKE: install-am install-exec-am install-strip
-
-.PHONY: CTAGS GTAGS TAGS all all-am check check-am clean clean-generic \
-       clean-libLTLIBRARIES clean-libtool cscopelist-am ctags \
-       ctags-am distclean distclean-compile distclean-generic \
-       distclean-libtool distclean-tags distdir dvi dvi-am html \
-       html-am info info-am install install-am install-data \
-       install-data-am install-dvi install-dvi-am install-exec \
-       install-exec-am install-exec-hook install-html install-html-am \
-       install-info install-info-am install-libLTLIBRARIES \
-       install-man install-man3 install-nodist_xsltincHEADERS \
-       install-pdf install-pdf-am install-ps install-ps-am \
-       install-strip install-xsltincHEADERS installcheck \
-       installcheck-am installdirs maintainer-clean \
-       maintainer-clean-generic mostlyclean mostlyclean-compile \
-       mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
-       tags tags-am uninstall uninstall-am uninstall-libLTLIBRARIES \
-       uninstall-man uninstall-man3 uninstall-nodist_xsltincHEADERS \
-       uninstall-xsltincHEADERS
-
-.PRECIOUS: Makefile
-
-
-xsltproc: all
-       @(cd ../xsltproc ; $(MAKE))
-
-install-exec-hook:
-       $(MKDIR_P) "$(DESTDIR)$(libdir)/libxslt-plugins"
-
-# Tell versions [3.59,3.63) of GNU make to not export all variables.
-# Otherwise a system limit (for SysV at least) may be exceeded.
-.NOEXPORT:
index cbc1c5e..f3b0596 100644 (file)
@@ -8,6 +8,136 @@ See the git page at
 http://git.gnome.org/browse/libxslt/
 
 to get a description of the recent commits.Those are the public releases made:
+1.1.29: May 24 2016:
+   - Security:
+  CVE-2015-7995 Fix for type confusion in preprocessing attributes (Daniel Veillard)
+  
+   - Documentation:
+  
+   - Portability:
+  Fix a portibility problem with previous commit (Eduard Sanou),
+  Fix MingW build (Nick Wellnhofer),
+  Correctly emulate snprintf on older MSVC versions (Nick Wellnhofer),
+  Add Python script to run some tests on Windows (Nick Wellnhofer),
+  Remove /OPT:NOWIN98 option (Nick Wellnhofer),
+  Visual Studio 14 CTP defines snprintf() (Daniel Veillard),
+  Use AC_PATH_TOOL to find libgcrypt-config and xml2-config (Micha¿ Górny),
+  Use $libdir for LIBXSLT_DEFAULT_PLUGINS_PATH (larryhaja),
+  Use mkdir macro also in case if mingw32. (Lars Kanis),
+  Add math library to executable link flags (Nick Wellnhofer),
+  Fix quoting of xlocale test program in configure.in (Nick Wellnhofer)
+  
+   - Bug Fixes:
+  Fix OOB heap read in xsltExtModuleRegisterDynamic (Nick Wellnhofer),
+  Remove CDATA markup from libxslt_tutorial.c (Nick Wellnhofer),
+  Remove generated headers from dist tarball (Nick Wellnhofer),
+  Mark XML file argument as repeatable (Nick Wellnhofer),
+  Keep timezone in date:add (Nick Wellnhofer),
+  Fix buffer overflow in exsltDateFormat (Nick Wellnhofer),
+  Fix saxon:line-number with namespace nodes (Nick Wellnhofer),
+  Fix dyn:map with namespace nodes (Nick Wellnhofer),
+  Fix error handling in Saxon extension functions (Nick Wellnhofer),
+  Fix double free in libexslt hash functions (Nick Wellnhofer),
+  Fix libxslt format warnings (David Kilzer),
+  Fix xsltNumberFormatGetMultipleLevel (Nick Wellnhofer),
+  Fix use-after-free in xsltDocumentFunctionLoadDocument (Nick Wellnhofer),
+  Always initialize EXSLT month and day to 1 (Nick Wellnhofer),
+  Fix possible NULL pointer deref in transform.c (mahendra.n),
+  Fix possible NULL pointer deref in xsltCopyTextString (Nick Wellnhofer),
+  Fix possible NULL pointer deref in libexslt/functions.c (Nick Wellnhofer),
+  Fix possible NULL pointer deref in xsltproc.c (mahendra.n),
+  Fix possible NULL pointer deref in preproc.c (mahendra.n),
+  Fix LIBXSLT_DEFAULT_PLUGINS_PATH in xsltconfig.h (Nick Wellnhofer),
+  Fix memory leak in xsltNumberFormat (Albert Astals Cid),
+  Error in doc/Makefile.am (Brice De Bruyne),
+  Detect attribute sets recursions in more cases (Daniel Veillard),
+  Check name vales for attribute-set elements (Daniel Veillard),
+  Fix hang with namespace-alias, fixes #700689 (Shaun McCance),
+  Fix str:align with UTF-8 strings (Nick Wellnhofer),
+  Fix for compiled XPath helpers (Nick Wellnhofer),
+  Check return value of exsltFuncNewFunctionData (Nick Wellnhofer),
+  Fix return value of xsltRegisterExtModuleElement (Nick Wellnhofer),
+  Call xmlNodeGetSpacePreserve with element node (Nick Wellnhofer),
+  Set namespaces before evaluating xsl:number (Nick Wellnhofer),
+  Make --maxvars option work (Per Hedeland),
+  Set correct context node when initializing xsl:keys (Nick Wellnhofer),
+  Fix for bug 436589 (Imran Azeezullah),
+  Memory leak in xsltCompileIdKeyPattern error path (Nick Wellnhofer),
+  Fix handling of UTF-8 strings in EXSLT crypto module (Nick Wellnhofer),
+  Fix certain patterns with predicates (Nick Wellnhofer),
+  Fix direct pattern matching (Nick Wellnhofer),
+  Fix str:padding to work with UTF-8 strings (Nick Wellnhofer),
+  EXSLT function str:replace() is broken as-is (Nick Wellnhofer),
+  Fix a couple of places where (f)printf parameters were broken (Daniel Veillard)
+  
+   - Improvements:
+  Add support timestamps from environment (Daniel Veillard),
+  Add missing tests to dist tarball (Nick Wellnhofer),
+  Improve error message in xsltAddTemplate and fix test (Nick Wellnhofer),
+  Allow REC tests with empty stdout (Nick Wellnhofer),
+  Fix GPL license in HTML files as well (Nick Wellnhofer),
+  Fix status message in EXSLT dynamic tests (Nick Wellnhofer),
+  Add public function macros to xsltlocale.h (Nick Wellnhofer),
+  Make valgrind tests work with libtool (Nick Wellnhofer),
+  Add a couple of xsl:number tests (Nick Wellnhofer),
+  Lower and upper bound for format token "i" (Nick Wellnhofer),
+  Lower bound for format token "a" (Nick Wellnhofer),
+  Handle negative xsl:number values (Nick Wellnhofer),
+  Round xsl:number values to nearest integer (Nick Wellnhofer),
+  Allow {URI}NCName syntax for user parameters (Nick Wellnhofer),
+  Fix endTimer parameter type (Nick Wellnhofer),
+  Fix error messages for unsupported methods (Nick Wellnhofer),
+  Replace sprintf with snprintf (David Kilzer),
+  Enforce two digit exponent under MSVC (Nick Wellnhofer),
+  Rework xsltNumberFormat to fix warning (Nick Wellnhofer),
+  Fix a couple of GPL licences found in the documentation (Daniel Veillard),
+  Use hash table to lookup named templates (Christian Ceelen),
+  Fix to reg tests post 737840 fix (Daniel Veillard),
+  Don't fail build the man page if xsltproc is not present (Daniel Veillard),
+  Re-adding xsltproc.1 (Daniel Veillard),
+  Fix time type in xsltSaveProfiling (Nick Wellnhofer),
+  Remove unused parameters (Nick Wellnhofer),
+  Suppress unused variable warning. (Nick Wellnhofer),
+  Remove unused variable in xsltGenerateIdFunction (Nick Wellnhofer),
+  Add test case for XPath function args in error case (Nick Wellnhofer),
+  Add comment about known-to-fail test (Nick Wellnhofer),
+  Adjust expected test output (Nick Wellnhofer),
+  Helper functions to evaluate compiled XPath expressions (Nick Wellnhofer),
+  Add tests for crypto:rc4 (Nick Wellnhofer),
+  Add first test case for EXSLT crypto module (Nick Wellnhofer),
+  Separate function for predicate matching in patterns (Nick Wellnhofer),
+  Initialize pseudo random number generator with current time or optional command line parameter (Nils Werner),
+  Adding doc update related to 1.1.28 (Daniel Veillard)
+  
+   - Cleanups:
+  Remove bogus test file (Nick Wellnhofer),
+  Add warning message to expected test output (Nick Wellnhofer)
+  
+
+
+1.1.28: Nov 21 2012:
+   -  Portability:
+    Fix python build by using libxsltmod_la_CPPFLAGS instead of AM_CPPFLAGS (Alexandre Rostovtsev),
+    configure should be more careful with linker script (Igor Pashev),
+    add gcrypt library in LIBADD, not LDFLAGS, as recommended (Roumen Petrov)
+  
+   -  Bug fixes:
+    Fix generate-id() to avoid generating the same ID (Stewart Brodie),
+    Fix crash with empty xsl:key/@match attribute (Nick Wellnhofer),
+    Crash when passing an uninitialized variable to document() (Nick Wellnhofer),
+    Add missing test docs to EXTRA_DIST (Nick Wellnhofer),
+    Fix regression: Default namespace not correctly used (Nick Wellnhofer)
+  
+   -  Cleanups:
+    Remove xsltTransStorageAdd and xsltTransStorageRemove from symbols.xml (Daniel Veillard),
+    autogen.sh cleanup (Daniel Richard),
+    consistent use of xslt processor (Roumen Petrov),
+    Add object files in tests/plugins to .gitignore (Nick Wellnhofer),
+    Fix error on bug-165 regression test (Daniel Veillard),
+    Remove xsltTransStorageAdd and xsltTransStorageRemove (Daniel Veillard),
+  
+
+
 1.1.27: Sep 12 2012:
    -  Portability:
     xincludestyle wasn't protected with LIBXML_XINCLUDE_ENABLED (Michael Bonfils),
index ddd1d38..6573bb4 100644 (file)
@@ -77,6 +77,7 @@ static int isnan (double d) {
 #endif /* _MSC_VER */
 
 #include <direct.h>
+#ifdef __REACTOS__
 #if defined(_MSC_VER) || defined(__MINGW32__)
 #define mkdir(p,m) _mkdir(p)
 #define snprintf _snprintf
@@ -84,6 +85,42 @@ static int isnan (double d) {
 #define vsnprintf(b,c,f,a) _vsnprintf(b,c,f,a)
 #endif
 #endif
+#else /* __REACTOS__ */
+/* snprintf emulation taken from http://stackoverflow.com/a/8712996/1956010 */
+#if defined(_MSC_VER) && _MSC_VER < 1900
+
+#include <stdarg.h>
+#include <stdio.h>
+
+#define snprintf c99_snprintf
+#define vsnprintf c99_vsnprintf
+
+__inline int c99_vsnprintf(char *outBuf, size_t size, const char *format, va_list ap)
+{
+    int count = -1;
+
+    if (size != 0)
+        count = _vsnprintf_s(outBuf, size, _TRUNCATE, format, ap);
+    if (count == -1)
+        count = _vscprintf(format, ap);
+
+    return count;
+}
+
+__inline int c99_snprintf(char *outBuf, size_t size, const char *format, ...)
+{
+    int count;
+    va_list ap;
+
+    va_start(ap, format);
+    count = c99_vsnprintf(outBuf, size, format, ap);
+    va_end(ap);
+
+    return count;
+}
+
+#endif /* defined(_MSC_VER) && _MSC_VER < 1900 */
+#endif /* __REACTOS__ */
 
 #define HAVE_SYS_STAT_H
 #define HAVE__STAT
@@ -95,9 +132,7 @@ static int isnan (double d) {
 #define ATTRIBUTE_UNUSED
 #endif
 
-#ifndef __REACTOS__
 #define _WINSOCKAPI_
-#endif
 
 #endif /* __LIBXSLT_WIN32_CONFIG__ */
 
index 2f6f20d..1201807 100644 (file)
 #endif
 #endif
 
+#ifndef __REACTOS__
+#if defined(_MSC_VER) || defined(__MINGW32__)
+#include <io.h>
+#include <direct.h>
+#define mkdir(p,m) _mkdir(p)
+#endif
+#endif /* __REACTOS__ */
+
 #endif /* ! __XSLT_LIBXSLT_H__ */
index 39b2210..b7b1b1f 100644 (file)
@@ -29,11 +29,13 @@ typedef xmlChar xsltLocaleChar;
 
 #elif defined(XSLT_LOCALE_WINAPI)
 
-//#include <windows.h>
-
+#ifdef __REACTOS__
 #define WIN32_NO_STATUS
 #include <windef.h>
 #include <winbase.h>
+#else /* __REACTOS__ */
+#include <windows.h>
+#endif /* __REACTOS__ */
 #include <winnls.h>
 
 typedef LCID xsltLocale;